Package org.apache.tools.ant

# Interface Evaluable<T>

Type Parameters:
  `T` - as `Supplier`

All Superinterfaces:
  `java.util.function.Supplier<T>`

    public interface Evaluable<T>
    extends java.util.function.Supplier<T>

Kind of task attribute that can be evaluated before being assigned

See Also:
  `RuntimeConfigurable`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`T` | `eval()` |
`default T` | `get()` |

## Method Details

### eval

T eval()

### get

default T get()

Specified by:
  `get` in interface `java.util.function.Supplier<T>`